STRUCT SND_DMAENGINE(9)

NAME
struct_snd_dmaengine_dai_dma_data - DAI DMA configuration data

SYNOPSIS

struct snd_dmaengine_dai_dma_data {
  dma_addr_t addr;
  enum dma_slave_buswidth addr_width;
  u32 maxburst;
  unsigned int slave_id;
  void * filter_data;
  const char * chan_name;
  unsigned int fifo_size;
};

MEMBERS

addr
    Address of the DAI data source or destination register.

addr_width
    Width of the DAI data source or destination register.

maxburst
    Maximum number of words(note: words, as in units of the src_addr_width member, not bytes) that can be send to or received from the DAI in one burst.

slave_id
    Slave requester id for the DMA channel.

filter_data
    Custom DMA channel filter data, this will usually be used when requesting the DMA channel.

chan_name
    Custom channel name to use when requesting DMA channel.

fifo_size
    FIFO size of the DAI controller in bytes

COPYRIGHT